Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Import

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.Import

    public class Import

extends BpelObject

BPEL Object Model representation of a BPEL <import>. The <import> element is used within a BPEL4WS process to explicitly indicate a dependency on external XML Schema or WSDL definitions. Any number of <import> elements may appear as children of the <process> element. Each <import> element contains three mandatory attributes:

1. `namespace`- specifies the URI namespace of the imported definitions``
2. `location` - contains a URI indicating the location of a document that contains relevant definitions in the namespace specified
3. `importType` - identifies the type of document being imported by providing the URI of the encoding language. The value MUST be set to "http://www.w3.org/2001/XMLSchema" when importing an XML Schema 1.0 documents, and to "http://schemas.xmlsoap.org/wsdl/" when importing WSDL 1.1 documents.

Field Summary
`static java.lang.String` | `IMPORTTYPE_WSDL11` Value of `importType` for WSDL 1.1
`static java.lang.String` | `IMPORTTYPE_XMLSCHEMA10` Value of `importType` for XML Schema 1.0

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Import(org.w3c.dom.Element el)`

Method Summary
`java.lang.String` | `getImportType()` Get the encoding language.
`java.net.URI` | `getLocation()` Get the location URI of the imported resource.
`java.lang.String` | `getNamespace()` Get the namesapce of the imported definitions.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IMPORTTYPE_XMLSCHEMA10

    public static final java.lang.String IMPORTTYPE_XMLSCHEMA10

  Value of `importType` for XML Schema 1.0

  See Also:
    Constant Field Values

### IMPORTTYPE_WSDL11

    public static final java.lang.String IMPORTTYPE_WSDL11

  Value of `importType` for WSDL 1.1

  See Also:
    Constant Field Values

Constructor Detail

### Import

    public Import(org.w3c.dom.Element el)

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Get the namesapce of the imported definitions.

  Returns:
    namespace URI

### getLocation

    public java.net.URI getLocation()

  Get the location URI of the imported resource.

  Returns:
    location URI of imported resource

### getImportType

    public java.lang.String getImportType()

  Get the encoding language.

  Returns:
    URI of the encoding language

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD